clc; clear; close all;

Globals2D;

tic;
Problem;

N = 4; % degree of polynomial representing solution within an element (local solution representation)

StartUp2D; % computing local operators and mesh information
[mapI, vmapI, mapO, vmapO] = BuildBCMaps();

initial_condition = IC(x,y); % evaluating initial condition

alpha_flux = 1; % central flux
alpha_flux = 0; % upwind flux
preprocessing_time = toc;

tic;
u = Timestepping(initial_condition,T); % time-stepping for the ODE system
computation_time = toc;